var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { UmbTextStyles } from '../../../style/index.js';
import { css, html, customElement, property } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../lit-element/index.js';
let UmbEntityDetailNotFoundElement = class UmbEntityDetailNotFoundElement extends UmbLitElement {
    constructor() {
        super(...arguments);
        this.entityType = '';
    }
    render() {
        return html `
			<div class="uui-text">
				<h4>${this.localize.term('entityDetail_notFoundTitle', this.entityType)}</h4>
				${this.localize.term('entityDetail_notFoundDescription', this.entityType)}
			</div>
		`;
    }
    static { this.styles = [
        UmbTextStyles,
        css `
			:host {
				display: block;
				width: 100%;
				height: 100%;
				min-width: 0;
			}

			:host > div {
				display: flex;
				flex-direction: column;
				justify-content: center;
				align-items: center;
				height: 100%;
			}

			@keyframes fadeIn {
				100% {
					opacity: 100%;
				}
			}
		`,
    ]; }
};
__decorate([
    property({ type: String, attribute: 'entity-type' })
], UmbEntityDetailNotFoundElement.prototype, "entityType", void 0);
UmbEntityDetailNotFoundElement = __decorate([
    customElement('umb-entity-detail-not-found')
], UmbEntityDetailNotFoundElement);
export { UmbEntityDetailNotFoundElement };
